header {
  background-color: #007acc;
  color: white;
  padding: 1rem;
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.site-info h3 {
  margin: 0;
  font-weight: bold;
}

.site-info p {
  margin: 0;
  font-size: 0.9rem;
}

.btn-outline-light-custom {
  color: #fff;
  border-color: #ffffffcc;
}

.btn-outline-light-custom:hover {
  background-color: #ffffff;
  color: #007acc;
}

.modal-header {
  background-color: #f8f9fa;
}

.navbar {
  display: flex;
  justify-content: center;
  gap: 1.5rem;
  background-color: #222;
  padding: 1rem;
}

.navbar a {
  color: white;
  text-decoration: none;
  font-weight: bold;
}

.navbar a:hover {
  text-decoration: underline;
}

.hero {
  padding: 2rem 2rem;
  text-align: center;
  background-color: white;
}

section {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: center;
  padding: 1rem;
}

section a {
  text-decoration: none;
}

.card {
  background: white;
  padding: 1.5rem;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  width: 280px;
  text-align: center;
}

.card h2 {
  color: #007acc;
  margin-top: 0.2rem;
  margin-bottom: 0.5rem;
}

.card p {
  color: #0c0c0c;
}

.card-logo {
  width: 60px;
  height: 60px;
  /* margin-bottom: 1rem; */
}

.card:hover {
  transform: translateY(-5px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.btn-outline-light-custom {
  color: #fff;
  border-color: #ffffffcc;
}

.btn-outline-light-custom:hover {
  background-color: #ffffff;
  color: #007acc;
}

body.dark-mode {
  background-color: #1e1e1e;
  color: #eee;
}

body.dark-mode .card {
  background-color: #2b2b2b;
  color: #eee;
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.05);
}

body.dark-mode .navbar,
body.dark-mode header {
  background-color: #111 !important;
}

body.dark-mode .btn-outline-light-custom {
  color: #fff;
  border-color: #ccc;
}

main {  
  padding-bottom: 70px;
}

footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  background: #222;
  color: white;
  text-align: center;
  padding: 1rem;  
  margin-top: 1rem;
}

@media (max-width: 768px) {
  main {
    margin-left: 0;
    margin-top: 20px;
  }
}